al_get_shader_log(3)

NAME

al_get_shader_log - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    const char *al_get_shader_log(ALLEGRO_SHADER *shader)

DESCRIPTION

Return a read-only string containing the information log for a shader program. The log is updated by certain functions, such as al_attach_shader_source(3) or al_build_shader(3) when there is an error.

This function never returns NULL.

SINCE

5.1.0

SEE ALSO

al_attach_shader_source(3), al_attach_shader_source_file(3), al_build_shader(3)